org.apache.sysds.runtime.util

## Class DMVUtils

- java.lang.Object
- - org.apache.sysds.runtime.util.DMVUtils

-     public class DMVUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DMVUtils.LEVEL_ENUM`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `ALPHA`
    `static char` | `ARBITRARY_LEN`
    `static char` | `DIGIT`
    `static char` | `DOT`
    `static char` | `LOWER`
    `static char` | `MINUS`
    `static char` | `OTHER`
    `static char` | `SPACE`
    `static char` | `UPPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DMVUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `acceptNegativeNumbersAsDigits(String pattern)`
    `static Map<String,Double>` | `calculatePatternsRatio(Map<String,Integer> patterns_hist, int nr_entries)`
    `static String` | `encodeRawString(String input)`
    `static String` | `findDominantPattern(Map<String,Double> dominant_patterns, double threshold)`
    `static String` | `getFrequencyOfEachConsecutiveChar(String s)`
    `static Map<String,Integer>` | `LevelsExecutor(Map<String,Integer> old_pattern_hist, DMVUtils.LEVEL_ENUM level)`
    `static String` | `removeInnerCharacterInPattern(String pattern, char outter_char, char inner_char)`
    `static String` | `removeUpperLowerCase(String pattern)`
    `static FrameBlock` | `syntacticalPatternDiscovery(FrameBlock frame, double threshold, String disguised_value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIGIT

          public static final char DIGIT

      See Also:
        Constant Field Values

    - #### LOWER

          public static final char LOWER

      See Also:
        Constant Field Values

    - #### UPPER

          public static final char UPPER

      See Also:
        Constant Field Values

    - #### ALPHA

          public static final char ALPHA

      See Also:
        Constant Field Values

    - #### SPACE

          public static final char SPACE

      See Also:
        Constant Field Values

    - #### DOT

          public static final char DOT

      See Also:
        Constant Field Values

    - #### OTHER

          public static final char OTHER

      See Also:
        Constant Field Values

    - #### ARBITRARY_LEN

          public static final char ARBITRARY_LEN

      See Also:
        Constant Field Values

    - #### MINUS

          public static final char MINUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DMVUtils

          public DMVUtils()

  - ### Method Detail

    - #### syntacticalPatternDiscovery

          public static FrameBlock syntacticalPatternDiscovery(FrameBlock frame,
                                                               double threshold,
                                                               String disguised_value)

    - #### calculatePatternsRatio

          public static Map<String,Double> calculatePatternsRatio(Map<String,Integer> patterns_hist,
                                                                  int nr_entries)

    - #### findDominantPattern

          public static String findDominantPattern(Map<String,Double> dominant_patterns,
                                                   double threshold)

    - #### LevelsExecutor

          public static Map<String,Integer> LevelsExecutor(Map<String,Integer> old_pattern_hist,
                                                           DMVUtils.LEVEL_ENUM level)

    - #### acceptNegativeNumbersAsDigits

          public static String acceptNegativeNumbersAsDigits(String pattern)

    - #### removeInnerCharacterInPattern

          public static String removeInnerCharacterInPattern(String pattern,
                                                             char outter_char,
                                                             char inner_char)

    - #### removeUpperLowerCase

          public static String removeUpperLowerCase(String pattern)

    - #### encodeRawString

          public static String encodeRawString(String input)

    - #### getFrequencyOfEachConsecutiveChar

          public static String getFrequencyOfEachConsecutiveChar(String s)

Copyright © 2021 The Apache Software Foundation. All rights reserved.